# This workflow will install Python dependencies, run tests and lint
# with a single version of Python For more information see:
# https://help.github.com/actions/language-and-framework-guides/using-python-with-github-actions

name: UFL CI

on:
  push:
    branches:
      - "**"
    tags:
      - "**"
  pull_request:
    branches:
      - main

jobs:
  build:
    runs-on: ${{ matrix.os }}
    strategy:
      matrix:
        os: [ubuntu-latest, macos-latest]
        python-version: ['3.7', '3.8', '3.9', '3.10']

    steps:
      - uses: actions/checkout@v2
      - name: Set up Python
        uses: actions/setup-python@v2
        with:
          python-version: ${{ matrix.python-version }}
      - name: Install UFL
        run: python -m pip install .[ci]
      - name: Run unit tests
        run: |
          python -m pytest -n auto test/

      - name: Build documentation
        run: |
          cd doc/sphinx
          make html
